Page MenuHomeFreeBSD

www/chromium: Remove BROKEN for Debug builds
ClosedPublic

Authored by emaste on Jun 3 2015, 4:30 PM.

Details

Reviewers
rene
Test Plan

Remove BROKEN= line and build port. It does not work correctly (apparently due to a lack of appropriate locale support), but builds and starts up.

[25387:525860864:0603/122839:ERROR:video_capture_device_factory.cc(58)] Not implemented reached in static media::VideoCaptureDeviceFactory *media::VideoCaptureDeviceFactory::CreateVideoCaptureDeviceFactory(scoped_refptr<base::SingleThreadTaskRunner>)
libGL error: failed to open drm device: Permission denied
libGL error: failed to load driver: i965
[25387:524313600:0603/122839:ERROR:url_pattern_set.cc(240)] Invalid url pattern: chrome://print/*
[25387:524313600:0603/122839:WARNING:extension_l10n_util.cc(291)] Supplied locale no is not supported.
[25387:524313600:0603/122839:ERROR:background_mode_manager_aura.cc(14)] Not implemented reached in virtual void BackgroundModeManager::EnableLaunchOnStartup(bool)
[25387:525860864:0603/122839:WARNING:data_reduction_proxy_config.cc(318)] SPDY proxy OFF at startup
[25387:525856768:0603/122839:ERROR:process_posix.cc(192)] Not implemented reached in bool <anonymous namespace>::WaitForExitWithTimeoutImpl(base::ProcessHandle, int *, base::TimeDelta)
[25387:525856768:0603/122839:ERROR:process_posix.cc(192)] Not implemented reached in bool <anonymous namespace>::WaitForExitWithTimeoutImpl(base::ProcessHandle, int *, base::TimeDelta)
[25387:524313600:0603/122839:WARNING:password_store_factory.cc(322)] Using basic (unencrypted) store for password storage. See http://code.google.com/p/chromium/wiki/LinuxPasswordStorage for more information about password storage options.
[25387:524313600:0603/122839:WARNING:internal_linux.cc(58)] Failed to read /proc/25387/stat
[25387:524313600:0603/122839:FATAL:process_info_linux.cc(20)] Check failed: start_ticks. 
#0 0x00000187b85e <unknown>
#1 0x0000018c5d66 <unknown>
#2 0x000001917964 <unknown>
#3 0x000005f1d1b0 <unknown>
#4 0x000005d867fc <unknown>
#5 0x000005f8937c <unknown>
#6 0x000005f86cdb <unknown>
#7 0x000005f867cb <unknown>
#8 0x000005f853d9 <unknown>
#9 0x000005f84896 <unknown>
#10 0x000005f7e51a <unknown>
#11 0x000005f7de6a <unknown>
#12 0x000005f7b291 <unknown>
#13 0x0000009f4fb5 <unknown>
#14 0x0000009f3a89 <unknown>
#15 0x000006e5cc2d <unknown>
#16 0x000006e62322 <unknown>
#17 0x000006e6222c <unknown>
#18 0x000006e621fa <unknown>
#19 0x000001528dee <unknown>
#20 0x00000720d390 <unknown>
#21 0x000006e5ad59 <unknown>
#22 0x000006772f54 <unknown>
#23 0x000006772648 <unknown>
#24 0x0000017ae2cd <unknown>
#25 0x0000017af1af <unknown>
#26 0x0000017adca5 <unknown>
#27 0x000000439862 <unknown>
#28 0x000000439812 <unknown>
#29 0x00000043970f <unknown>

[25400:524316672:0603/122840:WARNING:ipc_mojo_bootstrap.cc(214)] Detected error on Mojo bootstrap channel.
zsh: abort (core dumped)  work/stage/usr/local/share/chromium/chrome

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

emaste retitled this revision from to www/chromium: Remove BROKEN for Debug builds.Jun 3 2015, 4:30 PM
emaste updated this object.
emaste edited the test plan for this revision. (Show Details)
emaste added a reviewer: rene.
emaste set the repository for this revision to rP FreeBSD ports repository.
emaste added a subscriber: chromium.
emaste updated this revision to Diff 5915.
emaste added a comment.Jun 3 2015, 4:42 PM

I take that back, the fatal errors trap to the debugger, but I can 'c'ontinue past them and the debug Chromium runs correctly.

chrome://version:

Chromium	43.0.2357.81 (Developer Build) (64-bit)
Revision	4d096306deb9e86953c81f08454dd6db07b406b5
OS		FreeBSD 
Blink		537.36 (@195776)
JavaScript	V8 4.3.61.23
Flash		(Disabled)
User Agent	Mozilla/5.0 (X11; FreeBSD amd64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/43.0.2357.81 Safari/537.36
Command Line	/tank/emaste/src/ports/www/chromium/work/stage/usr/local/share/chromium/chrome --flag-switches-begin --flag-switches-end
Executable Path	/tank/emaste/src/ports/www/chromium/work/stage/usr/local/share/chromium/chrome
Profile Path	/home/emaste/.config/chromium/Default

The fatal errors are:

[25488:524313600:0603/124045:FATAL:process_info_linux.cc(20)] Check failed: start_ticks. 
[25488:524313600:0603/124126:FATAL:process_info_linux.cc(23)] Check failed: !boot_time.is_null(). 
[25488:524313600:0603/124133:FATAL:process_info_linux.cc(20)] Check failed: start_ticks. 
[25488:524313600:0603/124140:FATAL:process_info_linux.cc(23)] Check failed: !boot_time.is_null().
rene edited edge metadata.Jun 13 2015, 8:27 PM
rene accepted this revision.
This revision is now accepted and ready to land.Jun 13 2015, 8:27 PM
rene closed this revision.Jun 15 2015, 9:26 PM